Subject: bug#8846: closed (Re: bug#8846: coreutils-8.12 on HP-UX 11.31: 3 of 365 tests failed)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 Aug 2011 20:13:02 +0000

Your bug report

#8846: coreutils-8.12 on HP-UX 11.31: 3 of 365 tests failed

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8846: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8846
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8846: coreutils-8.12 on HP-UX 11.31: 3 of 365 tests failed
From: Jim Meyering <[email-masked]>
To: Bruno Haible <[email-masked]>
Cc: [email-masked], Stefano Lattarini <[email-masked]>
Date: Sun, 07 Aug 2011 22:11:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Bruno Haible wrote:
> Hi Jim,
>
>> I think all issues raised here have been resolved.
>> Can you confirm?
>
> I think the du/inaccessible-cwd failure was not tackled. But anyway, feel
> free to close it, and let's test again when you have a pre-release of
> coreutils-8.13 that you want to get tested.

Thanks.

I think that failure is inevitable on any system with
such poor (save-cwd/restore-cwd--based) openat emulation.
I.e., since it has neither the *at functions nor the
/proc-based support to emulate them, the test must fail.

If only to forestall further bug reports, it'd be good to
arrange to skip that test on such systems.

>From 24a047d93db642b8e73122a6e6553a475f216572 Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Sun, 7 Aug 2011 22:09:42 +0200
Subject: [PATCH] tests: avoid lack-of-support du test failure on HP-UX 11.31

* tests/du/inaccessible-cwd: Skip this test on systems like HP-UX 11.31
that lack both the *at functions and the /proc/self/fd-based support
we might have used to emulate them.  Reported by Bruno Haible in
http://debbugs.gnu.org/8846
---
 tests/du/inaccessible-cwd |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/tests/du/inaccessible-cwd b/tests/du/inaccessible-cwd
index 220ac7b..3dfe601 100755
--- a/tests/du/inaccessible-cwd
+++ b/tests/du/inaccessible-cwd
@@ -22,6 +22,11 @@

 . "${srcdir=.}/init.sh"; path_prepend_ ../src
 print_ver_ du
+
+# Skip this test if your system has neither the openat-style functions
+# nor /proc/self/fd support with which to emulate them.
+require_openat_support_
+
 skip_if_root_

 cwd=`pwd`
--
1.7.4.4

Subject: coreutils-8.12 on HP-UX 11.31: 3 of 365 tests failed
From: Bruno Haible <[email-masked]>
To: [email-masked]
Date: Mon, 13 Jun 2011 11:15:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On HP-UX 11.31, built with cc, coreutils-8.12 gives 3 test suite failures:

FAIL: misc/printf-surprise (exit: 1)
FAIL: dd/nocache (exit: 1)
FAIL: du/inaccessible-cwd (exit: 1)

Find attached the log file.

-- 
In memoriam Anna Göldi <http://en.wikipedia.org/wiki/Anna_Göldi>